/*
 * Copyright (C) 2023 Birb Developers
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#ifndef BIRB_H
#define BIRB_H

#ifndef __GI_SCANNER__ /* hide this bit from g-ir-scanner */
# ifdef BIRB_COMPILATION
#  error "birb source files should not be including birb.h"
# endif /* BIRB_COMPILATION */
#endif /* __GI_SCANNER__ */

#ifndef BIRB_GLOBAL_HEADER_INSIDE
# define BIRB_GLOBAL_HEADER_INSIDE
#endif /* BIRB_GLOBAL_HEADER_INSIDE */

#include <birb/birbactionmenu.h>
#include <birb/birbassert.h>
#include <birb/birbcustomfilter.h>
#include <birb/birbdatetime.h>
#include <birb/birbenv.h>
#include <birb/birbfilter.h>
#include <birb/birbqueuedoutputstream.h>
#include <birb/birbstringobject.h>
#include <birb/birbversion.h>
#include <birb/birbversionconsts.h>
#include <birb/birbenums.h>

#undef BIRB_GLOBAL_HEADER_INSIDE

#endif /* BIRB_H */
